# amzncorp
[![GoDoc](https://img.shields.io/badge/godoc-reference-5272B4.svg?style=flat-square)](https://godoc.internal.justin.tv/code.justin.tv/hygienic/amzncorp)
[![Build Status](https://jenkins.internal.justin.tv/buildStatus/icon?job=hygienic/amzncorp/master)](https://jenkins.internal.justin.tv/job/hygienic/job/amzncorp/job/master/)

amzncorp allows you to authenticate to amazon via isengard

# Example code

Here is some example code. Note you probably only want to do this when using your developer machine.  Otherwise, just
use local IAM roles.
```go
func getSession() (*session.Session, error) {
    awsConf := &aws.Config{
        Region: aws.String(config.AwsRegion()),
        Credentials: credentials.NewCredentials(&amzncorp.IsengardCredentials{
            AWSAccountID: "668187140319",   // <--------- Put your account ID here
            IAMRoleName: "eng",             // <--------- Put your Isengard role here
        }),
    }
    return session.NewSession(awsConf)
}
```