## twirpclienthooks

[![GoDoc](https://img.shields.io/badge/godoc-reference-5272B4.svg?style=flat-square)](https://godoc.internal.justin.tv/code.justin.tv/hygienic/twirpclienthooks)
[![Build Status](https://jenkins.internal.justin.tv/buildStatus/icon?job=hygienic/twirpclienthooks/master)](https://jenkins.internal.justin.tv/job/hygienic/job/twirpclienthooks/job/master/)

twirpclienthooks reports statsd (or other) metrics for twirp clients.

### Usage:


~~~go
	client := http.Client{
		Transport: &twirpclienthooks.RoundTripper{
			Hooks: nil, // set hooks here
		},
	}
	// ...

// Now pass this client through to twirp to create a twirp client that reports metrics
~~~

An example using statsd

```go
	nop := &statsd.NoopClient{}
	client := http.Client{
		Transport: twirpstatsd.NewRoundTripper(nop),
	}
```